<?php

namespace App\Enums;


use Filament\Support\Contracts\HasColor;
use Filament\Support\Contracts\HasLabel;

enum UserStatus: string implements HasLabel, HasColor
{
    case Enabled = 'enabled';
    case Disabled = 'disabled';

    public function getLabel(): string
    {
        return match ($this) {
            self::Enabled => 'Enabled',
            self::Disabled => 'Disabled',
        };
    }

    public function getColor(): string
    {
        return match ($this) {
            self::Enabled => 'success', 
            self::Disabled => 'danger', 
        };
    }
}

